package com.example.nto;

import com.example.nto.repository.CodeRepository;
import com.example.nto.repository.EmployeeRepository;
import com.example.nto.repository.VisitsRepository;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

import java.util.List;

import static org.springframework.boot.context.properties.bind.Bindable.listOf;

@SpringBootApplication
@EnableJpaRepositories(basePackages = "com.example.nto.repository")
@ComponentScan(basePackages = "com.example.nto.*")
@EntityScan("com.example.nto.*")
public class App {
    public static void main(String[] args) {
        SpringApplication.run(App.class, args);
    }
}
