package com.example.nto.service;

import com.example.nto.entity.Code;
import com.example.nto.entity.Employee;
import com.example.nto.entity.Visits;
import org.springframework.stereotype.Component;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Optional;

@Component
public interface EmployeeService {
    boolean existsByLogin(String login);

    List<Visits> getEmployeeVisits(String username);

    void setLastVisitEmployee(long Id, LocalDateTime lastVisit);

    void addVisit(String username, LocalDateTime time);

    void setCodeEmployee(long Id, long code);

    Optional<Employee> findByLogin(String login);

    Optional<Code> findCodeById(Long id);

    List<Employee> getAllEmployees();
}
